`timescale 1ns/1ps
module tb();

  reg clk,
      rstn,
      sin;
  wire det;

  initial begin
    clk = 0;
    forever #10 clk = ~clk;
  end

  initial begin
    rstn = 1'b0;
    #22 rstn = 1'b1;
  end

  initial begin
    repeat(100)begin
      @(negedge clk)
	sin = {$random};
    end
    $finish;
  end
  
  initial begin
    $dumpfile("seq101_tb.vcd");
    $dumpvars();
  end

  
  seq101 u_seq101
    (/*AUTOINST*/
     // Outputs
     .det				(det),
     // Inputs
     .clk				(clk),
     .rstn				(rstn),
     .sin				(sin));
  
endmodule // tb

